<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: search_news_include.php
| Author: Robert Gaudyn (Wooya)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include LOCALE.LOCALESET."search/vicc.php";

if ($_GET['stype'] == "vicc" || $_GET['stype'] == "all") {
	if ($_GET['sort'] == "datestamp") {
		$sortby = "date";
	} else if ($_GET['sort'] == "subject") {
		$sortby = "cim";
	} else if ($_GET['sort'] == "author") {
		$sortby = "bekuldo";
	}
	$ssubject = search_querylike("cim");
	$smessage = search_querylike("szov");
	//$sextended = search_querylike("news_extended");
	if ($_GET['fields'] == 0) {
		$fieldsvar = search_fieldsvar($ssubject);
	} else if ($_GET['fields'] == 1) {
		$fieldsvar = search_fieldsvar($smessage);
	} else if ($_GET['fields'] == 2) {
		$fieldsvar = search_fieldsvar($ssubject, $smessage);
	} else {
		$fieldsvar = "";
	}
	if ($fieldsvar) {
		$rows = dbcount("(id)", DB_PREFIX."vicc", $fieldsvar.($_GET['datelimit'] != 0 ? " AND date>=".(time() - $_GET['datelimit']) : ""));
	} else {
		$rows = 0;
	}
	if ($rows != 0) {
		$items_count .= THEME_BULLET."&nbsp;<a href='".FUSION_SELF."?stype=vicc&amp;stext=".$_GET['stext']."&amp;".$composevars."'>".$rows." ".($rows == 1 ? $locale['v_400'] : $locale['v_401'])." ".$locale['522']."</a><br />\n";
		$result = dbquery(
			"SELECT tn.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_PREFIX."vicc tn
			LEFT JOIN ".DB_USERS." tu ON tn.bekuldo=tu.user_id
			WHERE ".$fieldsvar."
			".($_GET['datelimit'] != 0 ? " AND date>=".(time() - $_GET['datelimit']) : "")."
			ORDER BY ".$sortby." ".($_GET['order'] == 1 ? "ASC" : "DESC").($_GET['stype'] != "all" ? " LIMIT ".$_GET['rowstart'].",10" : "")
		);
		while ($data = dbarray($result)) {
			$search_result = "";
			$text_all = $data['szov']." ".$data['cim'];
			$text_all = search_striphtmlbbcodes($text_all);
			$text_frag = search_textfrag($text_all);
			$text_frag = highlight_words($swords, $text_frag);
			$subj_c = search_stringscount($data['cim']);
			$text_c = search_stringscount($data['szov']);

			$search_result .= "<a href='".INFUSIONS."viccek_panel/vicc.php?cat_id=".$data['kat']."&amp;viccszov=".urlencode($_GET['stext'])."&amp;pid=".$data['id']."'>".highlight_words($swords, $data['cim'])."</a>"."<br /><br />\n";
			$search_result .= "<div class='quote' style='width:auto;height:auto;overflow:auto'>".$text_frag."</div><br />";
			$search_result .= "<span class='small2'>".$locale['global_070'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."\n";
			$search_result .= $locale['global_071'].showdate("longdate", $data['date'])."</span><br />\n";
			$search_result .= "<span class='small'>".$subj_c." ".($subj_c == 1 ? $locale['520'] : $locale['521']).$locale['v_402'];
			$search_result .= $text_c." ".($text_c == 1 ? $locale['520'] : $locale['521']).$locale['v_403']."</span><br /><br />\n";
			search_globalarray($search_result);
		}
	} else {
		$items_count .= THEME_BULLET."&nbsp;0 vicc ".$locale['522']."<br />\n";
	}
	$navigation_result = search_navigation($rows);
}
?>