<?
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| Author: karrak
| verzi: 1.00
| web: http://fusionjatek.dtg.hu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."viccek_panel/infusion_db.php";

if (file_exists(INFUSIONS."viccek_panel/locale/".$settings['locale'].".php")) {
include INFUSIONS."viccek_panel/locale/".$settings['locale'].".php";
} else {
include INFUSIONS."viccek_panel/locale/Hungarian.php";
}

if (isset($_GET['status'])) {
	if ($_GET['status'] == "sn") {
		$message = $locale['vicc_300'];
	} elseif ($_GET['status'] == "su") {
		$message = $locale['vicc_301'];
	} elseif ($_GET['status'] == "kdel") {
		$message = $locale['vicc_302'];
	} elseif ($_GET['status'] == "vdel") {
		$message = $locale['vicc_303'];
	} elseif ($_GET['status'] == "hi") {
		$message = $locale['vicc_304'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if (!checkRights("VICC") || !defined("iAUTH") || $_GET['aid'] != iAUTH) {redirect(BASEDIR."index.php");}
if (isset($_GET['action'])) { $action = $_GET['action']; } else { $action = ""; }
$error ='';
$vicc_settings = dbarray(dbquery("SELECT * FROM ".DB_VICC_SET." LIMIT 0,1"));
global $vicc_settings;
opentable($locale['vicc_305']);
	$admin_items = array(
		ADMIN."index.php".$aidlink	=> $locale['vicc_306'],
		FUSION_SELF.$aidlink."&amp;action=beall"	=> $locale['vicc_307'],
		FUSION_SELF.$aidlink."&amp;action=kat"	=> $locale['vicc_308'],
        FUSION_SELF.$aidlink."&amp;action=fel"	=> $locale['vicc_309'],
        INFUSIONS."viccek_panel/updat.php".$aidlink		=> $locale['vicc_310'],
	);
$w = intval(100 / count($admin_items));

	echo "<table class='tbl-border' cellspacing='1' cellpadding='0' width='100%'>\n";
	echo "<colgroup><col span='".count($admin_items)."' width='".$w."%' /></colgroup>\n";
	echo "<tr>\n";

	foreach($admin_items as $href => $title) {
		$c = "tbl".($href==FUSION_SELF ? "1" : "2");
		echo "<td align='center' class='".$c."'><a href='".$href."'>".$title."</a></td>\n";
    }

echo "</tr>\n</table>\n";

closetable();

//bekldsek
opentable($locale['vicc_315']);
echo "<table cellpadding='0' cellspacing='0' width='100%'>\n";

$idez = "";
$result = dbquery("SELECT * FROM ".DB_VICC." WHERE aktiv='0' ORDER BY date DESC");
		if (dbrows($result) !=0) {
			while ($data = dbarray($result)) {
				$idez .= "<tr>\n<td class='tbl1'>".$data['cim']."</td>\n";
				$idez .= "<td align='right' width='1%' class='tbl1' style='white-space:nowrap'><span class='small'><a href='".FUSION_SELF.$aidlink."&amp;action=fel&amp;step=edit&amp;vicc_id=".$data['id']."'>".$locale['vicc_316']."</a></span> |\n";
				$idez .= "<span class='small'><a href='".FUSION_SELF.$aidlink."&amp;action=fel&amp;step=delete&vicc_id=".$data['id']."' onClick='return DeleteItem()'>".$locale['vicc_317']."</a></span></td>\n</tr>\n";
			}
		} else {
			$idez = "<tr>\n<td align='center' colspan='2' class='tbl1'>".$locale['vicc_318']."</td>\n</tr>\n";
		}
		echo "<table cellpadding='0' cellspacing='1' width='400' class='tbl-border center'>\n";
		echo $idez."</table>\n";

closetable();

if ($action == "beall") {
if (isset($_POST['save']) && stripinput($_POST['save'])) {
	$ertekeles = stripinput($_POST['ertek']);
	$email = stripinput($_POST['email']);
	$bekuldes = stripinput($_POST['bekuldes']);
	$oldal = stripinput($_POST['oldal']);
	$result = dbquery("UPDATE ".DB_VICC_SET." SET ertekeles='".$ertekeles."', oldal='".$oldal."', email='".$email."', bekuldes='".$bekuldes."' WHERE va_id='1'");
redirect(FUSION_SELF.$aidlink."&status=su");
}
	$ertek = ""; $sel = "";
	$user_groups = getusergroups();
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($vicc_settings['ertekeles'] == $user_group['0'] ? " selected='selected'" : "");
		$ertek .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	$erteke = ""; $sele = "";
	$user_groupse = getusergroups();
	while(list($key, $user_groupe) = each($user_groupse)){
		$sele = ($vicc_settings['email'] == $user_groupe['0'] ? " selected='selected'" : "");
		$erteke .= "<option value='".$user_groupe['0']."'$sele>".$user_groupe['1']."</option>\n";
	}
	$ertekk = ""; $selk = "";
	$user_groupsk = getusergroups();
	while(list($key, $user_groupk) = each($user_groupsk)){
		$selk = ($vicc_settings['bekuldes'] == $user_groupk['0'] ? " selected='selected'" : "");
		$ertekk .= "<option value='".$user_groupk['0']."'$selk>".$user_groupk['1']."</option>\n";
	}

opentable($locale['vicc_330']." - v".$vicc_settings['verzio']);
$formaction = FUSION_SELF.$aidlink."&amp;action=beall";
		echo "<form name='addbeall' method='post' action='".$formaction."' enctype='multipart/form-data'>\n";
		echo "<table align='center' width='400' cellspacing='0' cellpadding='0' class='tbl'>\n<tr>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['vicc_311']."</td>\n";
		echo "<td class='tbl1'><select name='ertek' class='textbox'>\n".$ertek."</select></td>\n</tr>\n";
		echo "<tr>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['vicc_312']."</td>\n";
		echo "<td class='tbl1'><select name='bekuldes' class='textbox'>\n".$ertekk."</select></td>\n</tr>\n";
		echo "<tr>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['vicc_313']."</td>\n";
		echo "<td class='tbl'><select name='email' class='textbox'>\n".$erteke."</select></td>\n";
		echo "</tr>\n";
		echo "<tr>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['vicc_314']."</td>\n";
		echo "<td class='tbl1'><input type='text' name='oldal' value='".$vicc_settings['oldal']."' class='textbox' style='width:20px;'></td>\n</tr>\n";
        echo "<tr>\n";
        echo "<td align='center' colspan='2'><input type='submit' name='save' value='".$locale['vicc_319']."' class='button'>\n";
        echo "</td>\n</tr>\n</table>\n";
        echo "</form>\n";

closetable();
}

// Kategria Admin
if ($action == "kat") {

if (isset($_GET['step']) && (stripinput($_GET['step']) =="delete")) {
			$result = dbquery("DELETE FROM ".DB_VICC_KAT." WHERE v_id='".$cat_id."'");
            $result = dbquery("DELETE FROM ".DB_VICC." WHERE kat='".$cat_id."'");
redirect(FUSION_SELF.$aidlink."&status=kdel");

	} else {
		if (isset($_POST['save_cat']) && stripinput($_POST['save_cat'])) {
			if ($_POST['cat_name'] != "" && $_POST['cat_description'] != "") {
			$cat_name = stripinput($_POST['cat_name']);
			$cat_description = stripinput($_POST['cat_description']);
			$cat_visibility = stripinput($_POST['cat_visibility']);
			$cat_id = isnum($_GET['cat_id']) ? $_GET['cat_id'] : "0";
			if (stripinput($_GET['step']) == "edit" && isnum($_GET['cat_id'])) {
				$result = dbquery("UPDATE ".DB_VICC_KAT." SET cat='".$cat_name."', cat_description='".$cat_description."', cat_visibility='".$cat_visibility."' WHERE v_id='".$cat_id."'");
            if (!$result) { $error = "hi"; } else { $error = "su";}
			} else {
				$result = dbquery("INSERT INTO ".DB_VICC_KAT." VALUES('', '".$cat_name."', '".$cat_description."', '".$cat_visibility."')");
			if (!$result) { $error = "hi"; } else { $error = "sn";}

			}
			redirect(FUSION_SELF.$aidlink."&status=".$error);
			} else {
				redirect(FUSION_SELF.$aidlink."&status=hi");
				}
		}
		if (isset($_GET['step']) && stripinput($_GET['step'])=="edit") {
			$cat_id = isnum($_GET['cat_id']) ? $_GET['cat_id'] : "0";
			$data = dbarray(dbquery("SELECT * FROM ".DB_VICC_KAT." WHERE v_id='".$cat_id."'"));
			$cat_name = $data['cat'];
			$cat_description = $data['cat_description'];
			$cat_visibility = $data['cat_visibility'];
			$formaction = FUSION_SELF.$aidlink."&amp;action=kat&amp;step=edit&amp;cat_id=".$data['v_id'];
			$butn = $locale['vicc_360'];
opentable($locale['vicc_361']);
		} else {
			$cat_name = "";
			$cat_description = "";
			$cat_visibility = 0;
			$formaction = FUSION_SELF.$aidlink."&amp;action=kat";
			$butn = $locale['vicc_362'];
opentable($locale['vicc_362']);
		}
	$visibility_opts = ""; $sel = "";
	$user_groups = getusergroups();
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($cat_visibility == $user_group['0'] ? " selected='selected'" : "");
		$visibility_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
		echo "<form name='addcat' method='post' action='".$formaction."' enctype='multipart/form-data' onsubmit='return validateKat(this);'>\n";
		echo "<table align='center' width='400' cellspacing='0' cellpadding='0' class='tbl'>\n<tr>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['vicc_363']."</td>\n";
		echo "<td class='tbl1'><input type='text' name='cat_name' value='".$cat_name."' class='textbox' style='width:200px;'></td>\n</tr>\n";
		echo "<tr>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>".$locale['vicc_364']."</td>\n";
		echo "<td class='tbl1'><input type='text' name='cat_description' value='".$cat_description."' class='textbox' style='width:200px;'></td>\n</tr>\n";
		echo "<td  width='1%' class='tbl1' style='white-space:nowrap'>".$locale['vicc_365']."</td>\n";
		echo "<td class='tbl'><select name='cat_visibility' class='textbox'>\n".$visibility_opts."</select></td>\n";
		echo "</tr>\n";
        echo "<tr>\n";
        echo "<td align='center' colspan='2'><input type='submit' name='save_cat' value='".$butn."' class='button'>\n";
        echo "</td>\n</tr>\n</table>\n";
        echo "</form>\n";

closetable();
echo "<script type='text/javascript'>
function validateKat(frm) {
	if (frm.cat_name.value==\"\" || frm.cat_description.value==\"\") {
		alert(\"".$locale['vicc_366']."\"); return false;
	}
}
</script>\n";

opentable($locale['vicc_367']);
	echo "<table align='center' width='100%' cellspacing='0' cellpadding='0' class='tbl'>\n";
		$result = dbquery("SELECT * FROM ".DB_VICC_KAT." ORDER BY cat");
		if (dbrows($result) != 0) {
	echo "<tr>\n";
	echo "<td align='left' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['vicc_368']."</td>\n";
	echo "<td align='right' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['vicc_369']."</td>\n</tr>\n";

while ($data = dbarray($result)) {
	echo "<tr>\n";
	echo "<td width='1%' class='tbl1' style='white-space:nowrap'>
	<a href='".FUSION_SELF.$aidlink."&amp;action=kat&amp;step=edit&amp;cat_id=".$data['v_id']."'>".$data['cat']."</a>\n";
if ($data['cat_description'] =="") {
	echo "</td>\n";
	} else {
	echo "<br />&nbsp;&nbsp;".THEME_BULLET."&nbsp;".$data['cat_description']."</td>\n";
	}
	echo "<td align='right' width='1%' class='tbl1' style='white-space:nowrap'>
	<a href='".FUSION_SELF.$aidlink."&amp;action=kat&amp;step=delete&amp;cat_id=".$data['v_id']."' onClick='return DeleteItem()'>".$locale['vicc_317']."</a>\n</td>\n";
	echo "</tr>\n";
	}
echo "</table>\n";

echo "<script>
function DeleteItem()
{
return confirm('".$locale['vicc_370']."');
}
</script>\n";
		} else {
		echo "<tr><td align='center' class='tbl'>".$locale['vicc_371']."</td>\n</tr>\n";
		echo "</table>\n";
		}
closetable();
 }
}
// Viccek felvitele
if ($action == "fel") {

$result = dbquery("SELECT * FROM ".DB_VICC_KAT);
if (dbrows($result) != 0) {

	if (isset($_GET['step']) && (stripinput($_GET['step'])=="delete") && isnum($_GET['vicc_id'])) {
		$cat_id = stripinput($_GET['cat_id']);
		$vicc_id = stripinput($_GET['vicc_id']);
		$result = dbquery("DELETE FROM ".DB_VICC." WHERE id=".$vicc_id."");
		redirect(FUSION_SELF.$aidlink."&status=vdel");
	}
	if (isset($_POST['save_vicc'])) {
		$nick = stripinput($_POST['nick']);
//include_once INFUSIONS."user_kredit_panel/kredit_function.php";
		$cim = stripinput($_POST['cim']);
		$description = descript($_POST['description']);
		$cat = isnum($_POST['cat']) ? $_POST['cat'] : "";
		$aktiv = stripinput($_POST['enged']);
	if (isset($_GET['step']) && $_GET['step']=="edit") {
		$id = stripinput($_GET['vicc_id']);

			$result = dbquery("UPDATE ".DB_VICC." SET kat='".$cat."', szov='".$description."', cim='".$cim."', aktiv='".$aktiv."' WHERE id='".$id."'");
			//if ($aktiv=1) { add1kredit("10","10 kredit vicc bekldsrt.",$nick);}
			redirect(FUSION_SELF.$aidlink."&amp;status=su");
		} else {
			$result = dbquery("INSERT INTO ".DB_VICC." VALUES('', '".$cat."', '".$description."', '".time()."', '".$nick."', '0', '0', '".$cim."', '".$aktiv."', '0')");
			redirect(FUSION_SELF.$aidlink."&amp;status=sn");
		}
	}
	if (isset($_GET['step']) && $_GET['step']=="edit") {
		$id = stripinput($_GET['vicc_id']);
		$data = dbarray(dbquery("SELECT * FROM ".DB_VICC.",".DB_USERS." WHERE id='".$id."' && bekuldo=user_id"));
		$nick = $data['user_id'];
        $nev = $data['user_name'];
		$cim = $data['cim'];
		$description = $data['szov'];
		$aktiv = $data['aktiv'];
		$formaction = FUSION_SELF.$aidlink."&amp;action=fel&amp;step=edit&amp;vicc_id=".$id."";
        $butn = $locale['vicc_372'];
		opentable($locale['vicc_372']);
	} else {
		$nick = $userdata['user_id'];
        $nev = $userdata['user_name'];
        $cim ="";
        $description = "";
		$aktiv = 0;
		$formaction = FUSION_SELF.$aidlink."&amp;action=fel";
		$butn = $locale['vicc_373'];
		opentable($locale['vicc_373']);
	}
	$result2 = dbquery("SELECT * FROM ".DB_VICC_KAT." ORDER BY cat");
$editlist =""; $sel="";
	if (dbrows($result2) != 0) {
		while ($data2 = dbarray($result2)) {

			if (isset($_GET['step']) && $_GET['step']=="edit") {

				if ($data['kat'] == $data2['v_id']) { $sel = " selected"; } else { $sel = ""; }
			}
			$editlist .= "<option value='".$data2['v_id']."'$sel>".$data2['cat']."</option>\n";
		}
	}

	echo "<form name='addcat' method='post' action='".$formaction."' enctype='multipart/form-data' onsubmit='return validateKat(this);' />\n";
	echo "<table align='center' width='400' cellspacing='0' cellpadding='0' class='tbl'>\n";
	echo "<tr>\n";
	echo "<td width='1%' class='tbl1' style='white-space:nowrap' align='right'>".$locale['vicc_374']."</td>\n";
	echo "<input type='hidden' name='nick' value='$nick' class='textbox' style='width:250px;'>
<td class='tbl1'><input type='text' name='nev' value='$nev' class='textbox' style='width:250px;'></td>\n";
	echo "</tr>\n";
	echo "<tr>";
	echo "<td width='1%' class='tbl1' style='white-space:nowrap' align='right'>".$locale['vicc_375']."</td>\n";
	echo "<td class='tbl1'><input type='text' name='cim' value='$cim' class='textbox' style='width:250px;'></td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td width='1%' class='tbl1' style='white-space:nowrap' align='right'>".$locale['vicc_376']."</td>\n";
	echo "<td class='tbl1'><textarea name='description' cols='75' rows='5' class='textbox'>$description</textarea></td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td width='1%' class='tbl1' style='white-space:nowrap' align='right'>".$locale['vicc_377']."</td>\n";
	echo "<td class='tbl1'><select name='cat' class='textbox' style='width:150px;'>
".$editlist."</select>\n</td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td width='1%' class='tbl1' style='white-space:nowrap' align='right'>".$locale['vicc_378']."</td>\n";
	echo "<td class='tbl1'>".$locale['vicc_379']."<input type='radio' name='enged' value='1' ".($aktiv == "1" ? " checked='checked'" : "checked='checked'")." />
".$locale['vicc_380']."<input type='radio' name='enged' value='3' ".($aktiv == "3" ? " checked='checked'" : "")." />\n";
	echo "</td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td align='center' colspan='2'><input type='submit' name='save_vicc' value='".$butn."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>\n";
	closetable();

opentable($locale['vicc_381']);
	echo "<table align='center' width='100%' cellspacing='0' cellpadding='0' class='tbl'>\n";
	$result = dbquery("SELECT * FROM ".DB_VICC_KAT." ORDER BY cat");

if (isset($_GET['cat_id'])) {$cat_id=$_GET['cat_id'];} else {$cat_id="";}
	echo "<tr>\n";
	echo "<td class='tbl2'>".$locale['vicc_382']."</td>\n";
	echo "<td align='right' class='tbl2'>".$locale['vicc_383']."</td>\n";
	echo "</tr>\n";
	echo "<tr>\n";
	echo "<td colspan='2' height='1'></td>\n";
	echo "</tr>\n";
		while ($data = dbarray($result)) {
			if ($data['v_id'] == $cat_id) { $p_img = "off"; $div = ""; }
			else { $p_img = "on"; $div = "style='display:none'"; }
	echo "<tr>\n";
	echo "<td class='tbl2' width='99%'>".$data['cat']."</td>\n";
	echo "<td class='tbl2'><img onclick=\"javascript:flipBox('".$data['v_id']."')\" name='b_".$data['v_id']."' border='0' src='".THEME."images/panel_".$p_img.".gif'></td>\n";
	echo "</tr>\n";
			$result2 = dbquery("SELECT * FROM ".DB_VICC." WHERE kat='".$data['v_id']."' ORDER BY id");
			if (dbrows($result2) != 0) {
	echo "<tr>\n";
	echo "<td colspan='2'><div id='box_".$data['v_id']."'$div>\n";
	echo "<table width='100%' cellspacing='0' cellpadding='0' class='tbl'>\n";
				while ($data2 = dbarray($result2)) {
	echo "<tr>\n";
	echo "<td class='tbl'>".$data2['cim']."</td>\n";
	echo "<td width='130'><a href='".FUSION_SELF.$aidlink."&amp;action=fel&amp;step=edit&amp;vicc_id=".$data2['id']."'>".$locale['vicc_384']."</a> -
	<a href='".FUSION_SELF.$aidlink."&amp;action=fel&amp;step=delete&amp;vicc_id=".$data2['id']."' onClick='return DeleteItem()'>".$locale['vicc_385']."</a></td>\n";
	echo "</tr>\n";
				}
	echo "</table>\n</div>\n</td>\n</tr>\n";

			} else {
	echo "<tr>\n";
	echo "<td colspan='2'><div id='box_".$data['v_id']."' style='display:none'>\n";
	echo "<table width='100%' cellspacing='0' cellpadding='0' class='tbl'>\n";
	echo "<tr>\n";
	echo "<td class='tbl'>".$locale['vicc_386']."</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "</div>\n</td>\n</tr>\n";
			}
		}
	echo "</table>\n";
	echo "<script>
function DeleteItem()
{
return confirm('".$locale['vicc_387']."');
}
</script>\n";

	closetable();
} else {
	opentable($locale['vicc_381']);
	echo "<table width='100%' cellspacing='0' cellpadding='0' class='tbl'>\n";
	echo "<tr>\n";
	echo "<td class='tbl'>".$locale['vicc_388']."<a href='".FUSION_SELF.$aidlink."'>".$locale['vicc_389']."</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	closetable();
}

echo "</td>\n";
}
require_once THEMES."templates/footer.php";
?>
