<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: karrak
| verzi: 1.00
| web: http://fusionjatek.dtg.hu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
if (file_exists(INFUSIONS."viccek_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."viccek_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."viccek_panel/locale/Hungarian.php";
}
include INFUSIONS."viccek_panel/infusion_db.php";

$inf_title = $locale['vicc_001'];
$inf_description = $locale['vicc_002'];
$inf_version = "1.02";
$inf_developer = "karrak";
$inf_email = "g.sebestyen@dtg.hu";
$inf_weburl = "http://fusionjatek.dtg.hu";

$inf_folder = "viccek_panel";

$inf_newtable[1] = DB_VICC_KAT." (
		v_id INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
		cat VARCHAR(100) NOT NULL,
		cat_description VARCHAR(200) NOT NULL,
		cat_visibility tinyint(3) NOT NULL,
		PRIMARY KEY (v_id)
) TYPE=MyISAM;";

$inf_newtable[2] = DB_VICC." (
		id INT (11) UNSIGNED NOT NULL AUTO_INCREMENT,
		kat INT(5) NOT NULL default '0',
		szov text,
		date INT(11) NOT NULL default '0',
		bekuldo varchar(50),
		szav INT(5) NOT NULL default '0',
		db INT(8) NOT NULL default '0',
		cim text,
		aktiv INT(1) NOT NULL default '0',
		kuld INT(10) NOT NULL default '0',
		PRIMARY KEY (id)
) TYPE=MyISAM;";

$inf_newtable[3] = DB_VICC_SET." (
		va_id INT (11) UNSIGNED NOT NULL AUTO_INCREMENT,
		ertekeles tinyint(3) NOT NULL default '0',
		oldal tinyint(3) NOT NULL default '0',
		email tinyint(3) NOT NULL default '0',
		bekuldes tinyint(3) NOT NULL default '0',
		verzio varchar(10) NOT NULL default '',
		PRIMARY KEY (va_id)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_VICC_KAT." VALUES
('','Szkens', 'Szkens viccek', '0')";

$inf_insertdbrow[2] = DB_VICC_SET." VALUES
('', '0', '10', '0', '0', '1.02')";

$inf_insertdbrow[3] = DB_PANELS." SET panel_name='".$locale['vicc_001']."', panel_filename='".$inf_folder."', panel_side='1', panel_order='3', panel_type='file', panel_access='0', panel_display='0', panel_status='1' ";

$inf_droptable[1] = DB_VICC_KAT;
$inf_droptable[2] = DB_VICC;
$inf_droptable[3] = DB_VICC_SET;

// Adminisztrcis oldal adatai
$inf_adminpanel[1] = array(
	"title" => "Viccek Admin",
	"image" => "vicc.gif",
	"panel" => "admin.php",
	"rights" => "VICC"
);
// Navigcis oldal adatai
$inf_sitelink[1] = array(
	"title" => $locale['vicc_001'],
	"url" => "vicc.php",
	"visibility" => "0"
);

?>