<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: vicc.php
| Author: karrak
| verzi: 1.00
| web: http://fusionjatek.dtg.hu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."viccek_panel/infusion_db.php";

if (file_exists(INFUSIONS."viccek_panel/locale/".$settings['locale'].".php")) {
        include INFUSIONS."viccek_panel/locale/".$settings['locale'].".php";
} else {
        include INFUSIONS."viccek_panel/locale/Hungarian.php";
}
$vicc_settings = dbarray(dbquery("SELECT * FROM ".DB_VICC_SET." LIMIT 0,1"));
global $vicc_settings;

echo "<table width='100%' cellpadding='1' cellspacing='1' align='center' />\n<tr>\n";
echo"<td width='25%' align='left' valign='top'>";

opentable($locale['vicc_010']." - v".$vicc_settings['verzio']);
$result=dbquery("SELECT * FROM ".DB_VICC_KAT." WHERE ".groupaccess('cat_visibility')." ORDER BY v_id DESC");
echo "<table width='100%' cellpadding='1' cellspacing='1' align='center'>\n";

echo "<tr>\n<td align='center' class='tbl1'><a href='".FUSION_SELF."'>".$locale['vicc_039']."</a></td>\n</tr>\n";
while($data=dbarray($result)){

	echo "<tr>\n<td align='left' class='tbl2'><a href='".INFUSIONS."viccek_panel/vicc.php?cat_id=".$data['v_id']."' alt='".$data['cat_description']."' title='".$data['cat_description']."'><b>".$data['cat']."</b></a>
	 (".number_format(dbcount("(id)", DB_VICC." where kat=".$data['v_id']."")).")</td>\n</tr>\n";
   }
if (iADMIN){
	echo "<tr>\n<td align='center' class='small'><A href='".INFUSIONS."viccek_panel/admin.php".$aidlink."'>".$locale['vicc_020']."</a></td>\n</tr>\n";
  }
if (checkgroup($vicc_settings['bekuldes'])){
	echo "<tr>\n<td align='center' class='small'><A href='".INFUSIONS."viccek_panel/addlink.php?action=kuld'>".$locale['vicc_021']."</a></td>\n</tr>\n";
  }

    echo "</table>\n";
closetable();
echo "</td>\n<td align='right' valign='top'>\n";


if(isset($_GET['cat_id']) && isNum($_GET['cat_id'])) {
$catid = $_GET['cat_id'];
$data = dbarray(dbquery("SELECT * FROM ".DB_VICC_KAT." WHERE v_id='".$catid."' && ".groupaccess('cat_visibility').""));
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
opentable($locale['vicc_022']." : ".$data['cat']);
$itemsperpage = $vicc_settings['oldal'];
$rows = dbcount("(id)", DB_VICC." WHERE aktiv!='0' && kat='".$catid."'");
if (isset($_GET['pid']) && isnum($_GET['pid'])) {
	$reply_count = dbcount("(id)", DB_VICC, "kat='".$catid."' AND id>='".$_GET['pid']."' AND aktiv!='0'");
	if ($reply_count > $itemsperpage) { $_GET['rowstart'] = ((ceil($reply_count / $itemsperpage)-1) * $itemsperpage); }
}
if ($rows) {
      $result = dbquery("SELECT * FROM ".DB_VICC.",".DB_USERS." WHERE aktiv!='0' && kat='".$catid."' && bekuldo=user_id ORDER BY date DESC LIMIT ".$_GET['rowstart'].",$itemsperpage");

                while ($data = dbarray($result)) {
$szov = $data['szov'];
              if ($data['date']+604800 > time()) {
					$new = " <span class='small'>".$locale['vicc_023']."</span>";
				} else {
					$new = "";
				}
                      if ($data['db']==0) {
                       $atl=0;
                       } else {

                       $atl= $data['db']/$data['szav'];
                              }
$ac=sprintf("%.2f",$atl);
$formaction = INFUSIONS."viccek_panel/szav.php?cat_id=".$catid."&amp;ida=".$data['id'];
opentable("<b>".$data['cim']."</b><i>$new</i>");
echo "<table width='100%' cellspacing='0' cellpadding='0'>\n<tr>\n";
if (isset($_GET['viccszov'])) {
			$words = explode(" ", urldecode($_GET['viccszov']));
			$szov = parseubb(highlight_words($words, $szov));
		} else {
			$szov = parseubb($szov);
		}
echo "<td align='left' class='tbl1'>".nl2br($szov)."<br /></td>\n</tr>\n";
echo "<tr><td class='tbl1' align='center'>\n";
echo "<form name='vicc' method='post' action='".$formaction."' enctype='multipart/form-data' />\n";
echo THEME_BULLET.$locale['vicc_024']."&nbsp;".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."&nbsp;".THEME_BULLET.$locale['vicc_025'].showdate("shortdate", $data['date'])."&nbsp;".THEME_BULLET.$locale['vicc_026'].$data['szav']."&nbsp;".THEME_BULLET.$locale['vicc_027'].$ac."
";
if (checkgroup($vicc_settings['email'])) {
echo ";&nbsp;<a href='".INFUSIONS."viccek_panel/kuld.php?id=".$data['id']."'><img src='".INFUSIONS."viccek_panel/pic/kismail.gif' alt='".$locale['vicc_028']."' title='".$locale['vicc_028']."' style='vertical-align:middle;border:0;' /></a>";
  }
if (checkgroup($vicc_settings['ertekeles'])) {
echo "<br />".$locale['vicc_029']."
<select size='1' name='D1' class='textbox' class='tbl2'>
<option>-=Nem rtkelem=-</option>
<option value='1'>1</option>
<option value='2'>2</option>
<option value='3'>3</option>
<option value='4'>4</option>
<option value='5'>5</option>
<option value='6'>6</option>
<option value='7'>7</option>
<option value='8'>8</option>
<option value='9'>9</option>
<option value='10'>10</option>
</select>&nbsp&nbsp
";
echo "<input type='submit' align='center' name='szavaz' value='".$locale['vicc_030']."' class='button' />\n</form>\n";
}
echo "</td>\n</tr>\n";
echo "</table>\n";
closetable();
    }
	echo "<div align='center' style='margin-top:5px;'>".makepagenav($_GET['rowstart'],$itemsperpage,$rows,3,FUSION_SELF."?cat_id=".$catid.(isset($_GET['viccszov']) ? "&amp;viccszov=".urlencode($_GET['viccszov']):"")."&amp;")."</div>\n";

} else {
opentable($locale['vicc_031']);
echo "<table width='100%' cellspacing='0' cellpadding='0'>\n";
echo "<tr>\n<td>\n";
echo $locale['vicc_032'];
echo "</td>\n</tr>\n</table>\n";
closetable();
      }
closetable();
} else {
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
$itemsperpage = $vicc_settings['oldal'];
if (isset($stype)) $stype = $stype;
if (isset($stext)) $stext = stripinput($stext);

if (!isset($stype)) $stype = isset($_POST['stype']) ? $_POST['stype'] : "a";
if (!isset($stext)) $stext = isset($_POST['stext']) ? $_POST['stext'] : "";
if (!isset($vkeres)) $vkeres = isset($_POST['vkeres']) ? $_POST['vkeres'] : "szov";
opentable("Keress");
echo "<table align='center' width='100%' cellspacing='0' cellpadding='0' border='0' class='tbl' />\n";
echo "<tr>\n";
echo "<td align='center'>
<form name='searchform' method='post' action='".FUSION_SELF."?page=search'>
<input type='text' name='stext' value='$stext' class='textbox' style='width:200px'>
<input type='submit' name='search' value='".$locale['vicc_040']."' class='button'><br>
<input type='hidden' name='stype' value='m'>
".$locale['vicc_041']."<label><input type='radio' CHECKED name='vkeres' value='cim' /> </label>
".$locale['vicc_042']."<label><input type='radio' name='vkeres' value='szov' /> </label>
</form>
</td>
</tr>
</table>\n";
echo "<table align='center' width='100%' cellspacing='0' cellpadding='0' border='0' class='tbl' />\n";
echo "<tr>\n";
echo "<td align='center'>";
if ($stype == "m") {
		$rows = dbcount("(id)", DB_VICC, " $vkeres LIKE '%$stext%'");
		if ($rows != 0) {
			echo $rows." ".($rows == 1 ? "viccet" : "viccet")." tallltam:<br><br>\n";
			$result = dbquery("SELECT * FROM ".DB_VICC." WHERE $vkeres LIKE '%$stext%' ORDER BY date desc");
			while ($data = dbarray($result)) {
				echo "<a href='".FUSION_SELF."?cat_id=".$data['kat']."&amp;pid=".$data['id']."'>".$data['cim']."</a><br>\n";
			}
		} else {
			echo "<center><br />".$locale['vicc_043']."</center>\n";
		}
		if ($rows > 10) echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'],$itemsperpage,$rows,3,FUSION_SELF."?page=search&stype=w&amp;stext=$stext&amp;")."\n</div>\n";
	}
echo "</td>
	</tr>
</table>";
closetable();

opentable($locale['vicc_022']);
$vkat = dbrows(dbquery("SELECT * FROM ".DB_VICC_KAT));
$result = dbquery("SELECT * FROM ".DB_VICC_KAT);
echo "<table align='center' width='100%' cellspacing='0' cellpadding='0' border='0' class='tbl' />\n";
echo "<tr>\n";
echo "<td colspan='3'>".$locale['vicc_033'];
echo "</td>\n</tr>\n";
echo "<tr>\n";
echo "<td align='center'>".$locale['vicc_034']."<b><i>".number_format(dbcount("(id)", DB_VICC))."</b></i>".$locale['vicc_035'].number_format(dbcount("(v_id)", DB_VICC_KAT)).$locale['vicc_038'];
echo "</td>\n</tr>\n";
echo "<tr>\n";
echo "<td align='center'>".$locale['vicc_037'];
echo "</td>\n</tr>\n</table>\n";
echo "<table align='center' width='40%' cellspacing='0' cellpadding='0' border='0' class='tbl' />\n";
while ($data = dbarray($result)) {
echo "<tr>\n";
echo "<td width='1%' class='tbl1' style='white-space:nowrap'><a href='".FUSION_SELF."?cat_id=".$data['v_id']."'>".$data['cat']."</a></td>\n";
echo "<td align='right' class='tbl1'>".number_format(dbcount("(id)", DB_VICC." where kat=".$data['v_id'].""))."</td>\n";
echo "</tr>\n";
}
echo "</table>\n";
closetable();
}

echo "</td>\n</tr>\n</table>\n";
require_once THEMES."templates/footer.php";
?>